-- 
-- CONFIGURATION
--

SET GLOBAL max_allowed_packet = 16777216;

--
-- DATA
--

-- Person

INSERT INTO `Person` (`firstName`, `lastName`, `activated`) VALUES ('(Other)', ' ', 1);


-- DBConfig

INSERT INTO `DBConfig` (`version`) VALUES (2);


-- Specie

INSERT INTO `SeedBatchAlarms` (`germinationAlarmActivated`, `germinationAlarmInDays`, `harvestAlarmActivated`, `harvestAlarmInDays`, `storageAlarmActivated`) VALUES (0, NULL, 0, NULL, 0);
INSERT INTO `Specie` (`name`, `organismType`, `seedBatchAlarms_id`) VALUES ('Arabidopsis thaliana', 'PLANT', LAST_INSERT_ID());
INSERT INTO `SeedBatchAlarms` (`germinationAlarmActivated`, `germinationAlarmInDays`, `harvestAlarmActivated`, `harvestAlarmInDays`, `storageAlarmActivated`) VALUES (0, NULL, 0, NULL, 0);
INSERT INTO `Specie` (`name`, `organismType`, `seedBatchAlarms_id`) VALUES ('Medicago truncatula', 'PLANT', LAST_INSERT_ID());
INSERT INTO `SeedBatchAlarms` (`germinationAlarmActivated`, `germinationAlarmInDays`, `harvestAlarmActivated`, `harvestAlarmInDays`, `storageAlarmActivated`) VALUES (0, NULL, 0, NULL, 0);
INSERT INTO `Specie` (`name`, `organismType`, `seedBatchAlarms_id`) VALUES ('Zea mays', 'PLANT', LAST_INSERT_ID());
INSERT INTO `SeedBatchAlarms` (`germinationAlarmActivated`, `germinationAlarmInDays`, `harvestAlarmActivated`, `harvestAlarmInDays`, `storageAlarmActivated`) VALUES (0, NULL, 0, NULL, 0);
INSERT INTO `Specie` (`name`, `organismType`, `seedBatchAlarms_id`) VALUES ('Nicotiana tabacum', 'PLANT', LAST_INSERT_ID());
INSERT INTO `SeedBatchAlarms` (`germinationAlarmActivated`, `germinationAlarmInDays`, `harvestAlarmActivated`, `harvestAlarmInDays`, `storageAlarmActivated`) VALUES (0, NULL, 0, NULL, 0);
INSERT INTO `Specie` (`name`, `organismType`, `seedBatchAlarms_id`) VALUES ('Oryza sativa', 'PLANT', LAST_INSERT_ID());
INSERT INTO `SeedBatchAlarms` (`germinationAlarmActivated`, `germinationAlarmInDays`, `harvestAlarmActivated`, `harvestAlarmInDays`, `storageAlarmActivated`) VALUES (0, NULL, 0, NULL, 0);
INSERT INTO `Specie` (`name`, `organismType`, `seedBatchAlarms_id`) VALUES ('(Other)', 'PLANT', LAST_INSERT_ID());
INSERT INTO `SeedBatchAlarms` (`germinationAlarmActivated`, `germinationAlarmInDays`, `harvestAlarmActivated`, `harvestAlarmInDays`, `storageAlarmActivated`) VALUES (0, NULL, 0, NULL, 0);
INSERT INTO `Specie` (`name`, `organismType`, `seedBatchAlarms_id`) VALUES ('Petunia hybrida', 'PLANT', LAST_INSERT_ID());
INSERT INTO `SeedBatchAlarms` (`germinationAlarmActivated`, `germinationAlarmInDays`, `harvestAlarmActivated`, `harvestAlarmInDays`, `storageAlarmActivated`) VALUES (0, NULL, 0, NULL, 0);
INSERT INTO `Specie` (`name`, `organismType`, `seedBatchAlarms_id`) VALUES ('Solanum lycopersicum L', 'PLANT', LAST_INSERT_ID());

-- Ecotype

INSERT INTO `Ecotype` (`name`, `organismType`, `specie_id`) VALUES ('Bay', 'PLANT', (SELECT ID FROM `Specie` WHERE `name` = 'Arabidopsis thaliana'));
INSERT INTO `Ecotype` (`name`, `organismType`, `specie_id`) VALUES ('C24', 'PLANT', (SELECT ID FROM `Specie` WHERE `name` = 'Arabidopsis thaliana'));
INSERT INTO `Ecotype` (`name`, `organismType`, `specie_id`) VALUES ('Col0', 'PLANT', (SELECT ID FROM `Specie` WHERE `name` = 'Arabidopsis thaliana'));
INSERT INTO `Ecotype` (`name`, `organismType`, `specie_id`) VALUES ('Landsberg', 'PLANT', (SELECT ID FROM `Specie` WHERE `name` = 'Arabidopsis thaliana'));
INSERT INTO `Ecotype` (`name`, `organismType`, `specie_id`) VALUES ('(Other)', 'PLANT', (SELECT ID FROM `Specie` WHERE `name` = 'Arabidopsis thaliana'));
INSERT INTO `Ecotype` (`name`, `organismType`, `specie_id`) VALUES ('Sha', 'PLANT', (SELECT ID FROM `Specie` WHERE `name` = 'Arabidopsis thaliana'));
INSERT INTO `Ecotype` (`name`, `organismType`, `specie_id`) VALUES ('WS', 'PLANT', (SELECT ID FROM `Specie` WHERE `name` = 'Arabidopsis thaliana'));

INSERT INTO `Ecotype` (`name`, `organismType`, `specie_id`) VALUES ('A17', 'PLANT', (SELECT ID FROM `Specie` WHERE `name` = 'Medicago truncatula'));
INSERT INTO `Ecotype` (`name`, `organismType`, `specie_id`) VALUES ('(Other)', 'PLANT', (SELECT ID FROM `Specie` WHERE `name` = 'Medicago truncatula'));

INSERT INTO `Ecotype` (`name`, `organismType`, `specie_id`) VALUES ('(Other)', 'PLANT', (SELECT ID FROM `Specie` WHERE `name` = 'Zea mays'));

INSERT INTO `Ecotype` (`name`, `organismType`, `specie_id`) VALUES ('(Other)', 'PLANT', (SELECT ID FROM `Specie` WHERE `name` = 'Nicotiana tabacum'));

INSERT INTO `Ecotype` (`name`, `organismType`, `specie_id`) VALUES ('(Other)', 'PLANT', (SELECT ID FROM `Specie` WHERE `name` = 'Oryza sativa'));
INSERT INTO `Ecotype` (`name`, `organismType`, `specie_id`) VALUES ('Nipponbare', 'PLANT', (SELECT ID FROM `Specie` WHERE `name` = 'Oryza sativa'));

INSERT INTO `Ecotype` (`name`, `organismType`, `specie_id`) VALUES ('(Other)', 'PLANT', (SELECT ID FROM `Specie` WHERE `name` = '(Other)'));

INSERT INTO `Ecotype` (`name`, `organismType`, `specie_id`) VALUES ('(Other)', 'PLANT', (SELECT ID FROM `Specie` WHERE `name` = 'Petunia hybrida'));
INSERT INTO `Ecotype` (`name`, `organismType`, `specie_id`) VALUES ('W115-Mitchell', 'PLANT', (SELECT ID FROM `Specie` WHERE `name` = 'Petunia hybrida'));

-- MutationMethod

INSERT INTO `MutationMethod` (`name`, `organismType`, `mutationType`) VALUES ('Transposon', 'PLANT', 'TRANSGENESIS');
INSERT INTO `MutationMethod` (`name`, `organismType`, `mutationType`) VALUES ('T-DNA', 'PLANT', 'TRANSGENESIS');
INSERT INTO `MutationMethod` (`name`, `organismType`, `mutationType`) VALUES ('(Other)', 'PLANT', 'TRANSGENESIS');
INSERT INTO `MutationMethod` (`name`, `organismType`, `mutationType`) VALUES ('EMS', 'PLANT', 'CHEMICALPHYSICALMUTAGENESIS');
INSERT INTO `MutationMethod` (`name`, `organismType`, `mutationType`) VALUES ('Radiation', 'PLANT', 'CHEMICALPHYSICALMUTAGENESIS');
INSERT INTO `MutationMethod` (`name`, `organismType`, `mutationType`) VALUES ('CRISPR', 'PLANT', 'CHEMICALPHYSICALMUTAGENESIS');
INSERT INTO `MutationMethod` (`name`, `organismType`, `mutationType`) VALUES ('(Other)', 'PLANT', 'CHEMICALPHYSICALMUTAGENESIS');

-- MutationMethodReference

INSERT INTO `MutationMethodReference` (`organismType`, `reference`, `mutationType`) VALUES ('PLANT', 'Floral dip method (Clough 1998 Plant J)', 'TRANSGENESIS');
INSERT INTO `MutationMethodReference` (`organismType`, `reference`, `mutationType`) VALUES ('PLANT', 'Shoot regeneration', 'TRANSGENESIS');
INSERT INTO `MutationMethodReference` (`organismType`, `reference`, `mutationType`) VALUES ('PLANT', '(Other)', 'TRANSGENESIS');
INSERT INTO `MutationMethodReference` (`organismType`, `reference`, `mutationType`) VALUES ('PLANT', 'Gamma pollen mutagenesis (Svistoonoff 2007 Nature Genetics)', 'CHEMICALPHYSICALMUTAGENESIS');
INSERT INTO `MutationMethodReference` (`organismType`, `reference`, `mutationType`) VALUES ('PLANT', 'EMS seed mutagenesis (Kim 2006 Methods Mol Biol)', 'CHEMICALPHYSICALMUTAGENESIS');
INSERT INTO `MutationMethodReference` (`organismType`, `reference`, `mutationType`) VALUES ('PLANT', '(Other)', 'CHEMICALPHYSICALMUTAGENESIS');
INSERT INTO `MutationMethodReference` (`organismType`, `reference`, `mutationType`) VALUES ('PLANT', 'CRISPR (Fauser, Schiml and Puchta 2014 Plant J)', 'CHEMICALPHYSICALMUTAGENESIS');

-- OrganismClass

INSERT INTO `OrganismClass` (`number`) VALUES (1);
INSERT INTO `OrganismClass` (`number`) VALUES (2);
INSERT INTO `OrganismClass` (`number`) VALUES (3);
INSERT INTO `OrganismClass` (`number`) VALUES (4);

-- Pathogenicity

INSERT INTO `Pathogenicity` (`name`) VALUES ('Humans');
INSERT INTO `Pathogenicity` (`name`) VALUES ('Animals');
INSERT INTO `Pathogenicity` (`name`) VALUES ('Bacteria');
INSERT INTO `Pathogenicity` (`name`) VALUES ('Plants');
INSERT INTO `Pathogenicity` (`name`) VALUES ('(Other)');

-- Resistance

INSERT INTO `Resistance` (`name`) VALUES ('Hygromycin');
INSERT INTO `Resistance` (`name`) VALUES ('Kanamycin');
INSERT INTO `Resistance` (`name`) VALUES ('PPT/Basta');
INSERT INTO `Resistance` (`name`) VALUES ('(Other)');
INSERT INTO `Resistance` (`name`) VALUES ('Gentamicin');
INSERT INTO `Resistance` (`name`) VALUES ('Sulfadiazine');

-- Strain

INSERT INTO `Strain` (`name`) VALUES ('C58C1');
INSERT INTO `Strain` (`name`) VALUES ('LBA4404');
INSERT INTO `Strain` (`name`) VALUES ('(Other)');

-- DescentType

INSERT INTO `DescentType` (`name`) VALUES ('Self-cross');
INSERT INTO `DescentType` (`name`) VALUES ('Back-cross');
INSERT INTO `DescentType` (`name`) VALUES ('(Other)');

-- User

-- create user with read rights : 
-- login : reader
-- password : kiptrak
INSERT INTO `User` (`login`, `profile`, `password`) VALUES ("reader", 1, "05c3adaf84b966b12de37333bdb22aa8707a86c7");

-- create user with written rights : 
-- login : writer
-- password : kiptrak
INSERT INTO `User` (`login`, `profile`, `password`) VALUES ("writer", 0, "05c3adaf84b966b12de37333bdb22aa8707a86c7");

-- create user with administration rights : 
-- login : admin
-- password : kiptrak
INSERT INTO `User` (`login`, `profile`, `password`) VALUES ("admin", 2, "05c3adaf84b966b12de37333bdb22aa8707a86c7");

