--
-- INDEXES
--

-- Ecotype

ALTER TABLE `Ecotype` ADD INDEX `organismType` (`organismType`);

-- MutationMethodReference

ALTER TABLE `MutationMethodReference` ADD INDEX `organismType` (`organismType`);
ALTER TABLE `MutationMethodReference` ADD INDEX `mutationType` (`mutationType`);

-- MutationMethod

ALTER TABLE `MutationMethod` ADD INDEX `organismType` (`organismType`);
ALTER TABLE `MutationMethod` ADD INDEX `mutationType` (`mutationType`);

-- Specie

ALTER TABLE `Specie` ADD INDEX `organismType` (`organismType`);

-- Line

ALTER TABLE `Line` ADD INDEX `articleReference` (`articleReference`);
ALTER TABLE `Line` ADD INDEX `source` (`source`);

-- LineSecondaryName

ALTER TABLE `LineSecondaryName` ADD INDEX `name` (`name`);

-- Mutation

ALTER TABLE `Mutation` ADD INDEX `description` (`description`);

-- GeneSecondaryName

ALTER TABLE `GeneSecondaryName` ADD INDEX `name` (`name`);

-- Phenotyping

ALTER TABLE `Phenotyping` ADD INDEX `phenotype` (`phenotype`);

-- Plant

ALTER TABLE `Plant` ADD INDEX `identifier` (`identifier`);

-- SeedBatch

ALTER TABLE `SeedBatch` ADD INDEX `identifier` (`identifier`);

-- Harvest

ALTER TABLE `Harvest` ADD INDEX `date` (`date`);




